MerkleTree.MerkleTreeSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.utils

## Class MerkleTree.MerkleTreeSerializer

- java.lang.Object
- - org.apache.cassandra.utils.MerkleTree.MerkleTreeSerializer

- All Implemented Interfaces:
    IVersionedSerializer<MerkleTree>
  Enclosing class:
    MerkleTree

      public static class MerkleTree.MerkleTreeSerializer
      extends java.lang.Object
      implements IVersionedSerializer<MerkleTree>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MerkleTreeSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MerkleTree` | `deserialize(DataInputPlus in, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(MerkleTree mt, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(MerkleTree mt, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MerkleTreeSerializer

          public MerkleTreeSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(MerkleTree mt,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<MerkleTree>`
      Parameters:
        `mt` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public MerkleTree deserialize(DataInputPlus in,
                                        int version)
                                 throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<MerkleTree>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(MerkleTree mt,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<MerkleTree>`
      Parameters:
        `mt` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation